.tabla-productos {
  .mensaje {
    padding: 20px;
    font-size: 18px;
  }

  .buscador {
    display: grid;
    grid-template-columns: 1fr 1fr;

    .span-buscador {
      position: relative;
      width: 100%;

      & i {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        left: 10px;
      }

      & input {
        width: 60%;
        text-indent: 25px;
      }
    }

    .form-group {
      justify-self: flex-end;
      width: 50%;
    }
  }

  .producto_activo,
  .producto_inactivo {
    width: auto;
    padding: 5px 10px;
    border: 1px solid;
    border-radius: var(--border-radius);
    color: white;
    font-weight: 700;
  }

  .producto_activo {
    background: #22C55E;
  }

  .producto_inactivo {
    background: #FF4D4D;
  }

  .botones-td button:nth-child(2) {
    margin-left: 5px;
    margin-right: 5px;
  }
}

.dialog-container-general {
  .p-element {
    .p-tabview .p-tabview-panels {
      padding: 10px 0;

      .datoProducto {
        display: flex;
        flex-direction: column;
        gap: 5px;

        .field {
          display: flex;
          flex-direction: column;
          gap: 5px;

          .bordernone {
            border: none;
          }
        }

        .grid-field {
          display: grid;
          grid-template-columns: 1fr 1fr;
          gap: 10px;

          .field .p-inputwrapper {
            width: 100%;

            .p-inputnumber .p-inputnumber-input {
              width: 100%;
            }
          }

          .p_txt {
            font-size: 13px;
            color: var(--grey);

            & i {
              font-size: 16px;
            }
          }

          & figure {
            width: 100px;
            height: 50px;
          }
        }
      }

      .datosFacturacion {
        display: flex;
        flex-direction: column;
        gap: 5px;
        height: 400px;

        & p {
          padding-left: 10px;
          margin-bottom: 20px;
          font-size: 13px;
          color: var(--grey);
        }

        .producto_SIN .p-element,
        .unidad_SIN .p-element {
          .p-overlay {
            max-width: 415px;

            .p-dropdown-item {
              font-size: 14px;
              overflow-x: auto;

              &::-webkit-scrollbar:horizontal {
                height: 8px;
              }
            }
          }
        }
      }
    }

    .p-dialog-mask .p-element {
      max-height: 700px;

      .p-dialog-content {
        overflow-y: auto !important;
      }
    }
  }
}

.tag_codigo_existe {
  display: block;
}

.tag_codigo_noexiste {
  display: block;
}

.ocultar {
  display: none;
}
